{ lib, modulesPath, nixos-hardware, ... }: {

  imports = [
    ./hardware-configuration.nix
    nixos-hardware.nixosModules.lenovo-thinkpad-x390
    nixos-hardware.nixosModules.common-gpu-nvidia-disable
  ];

  custom = {
    gui.enable = true;
    backups.enable = true;
  };

  services.fprintd.enable = true;

  networking.hostName = "lime";
  networking.networkmanager.enable = true;

  system.stateVersion = "22.11";
  services.xserver.libinput.enable = true;

}

